﻿<%@ Page Language="C#" MasterPageFile="~/Modules/Integration.Master" AutoEventWireup="true" CodeBehind="StdComment.aspx.cs" Inherits="BlueDot.Eam.Work.Server.Integration.StdComment" Title="Untitled Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="contentHolder" runat="server">
    <div class="subhead">
        <asp:Literal ID="Literal1" runat="server" Text="<%$ resources:StandardComments %>"/></div>
    <br />
    <div>
        <table cellspacing="0" cellpadding="5" class="tableservices">
            <tr>
                <td colspan="5"><asp:Literal ID="Literal2" runat="server" Text="<%$ resources:AddNew %>"/></td>
            </tr>
            <tr>
                <td valign="top"><asp:Literal ID="Literal3" runat="server" Text="<%$ resources:GridShortHeader.HeaderText %>"/></td>
                <td valign="top"><asp:TextBox ID="shortDescriptionText" runat="server" MaxLength="15"></asp:TextBox><asp:RequiredFieldValidator ID="shortReqValid" runat="server" Text="*" ErrorMessage="Short Description is required" ControlToValidate="shortDescriptionText" ForeColor="#A61B14"></asp:RequiredFieldValidator></td>
                <td valign="top"><asp:Literal ID="Literal4" runat="server" Text="<%$ resources:GridDescriptionHeader.HeaderText %>"/></td>
                <td valign="top"><asp:TextBox ID="descriptionText" runat="server" TextMode="MultiLine" Rows="3" Width="250px" MaxLength="2000" />
                                 <asp:RequiredFieldValidator ID="descReqValid" runat="server" Text="*" ErrorMessage="Description is required" ControlToValidate="descriptionText" ForeColor="#A61B14"></asp:RequiredFieldValidator></td>
                <td valign="top"><asp:LinkButton ID="addLink" runat="server" onclick="addLink_Click" Text="<%$ resources:Add %>" /></td>
            </tr>
            
            <tr>
                <td colspan="5">
                    <asp:DataGrid ID="installParameterGrid" runat="server" 
                        AutoGenerateColumns="False" 
                        OnEditCommand="installParameterGrid_EditCommand" 
                        OnUpdateCommand="UpdateInstallParameter" 
                        OnCancelCommand="installParameterGrid_CancelCommand" 
                        DataKeyField="CommentId" cellpadding="5" width="100%" CssClass="tableservices" 
                        OnDeleteCommand="installParameterGrid_DeleteCommand">
                        <Columns>
                            <asp:TemplateColumn HeaderText="Comment Id" meta:resourcekey="GridIdHeader">
                                <EditItemTemplate>
                                    <asp:Label ID="Label1" runat="server" 
                                        Text='<%# DataBinder.Eval(Container, "DataItem.CommentId") %>'></asp:Label>
                                </EditItemTemplate>
                                <ItemTemplate>
                                    <asp:Label ID="Label1" runat="server" 
                                        Text='<%# DataBinder.Eval(Container, "DataItem.CommentId") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle Width="10%" />
                                <HeaderStyle Width="10%" />
                            </asp:TemplateColumn>
                            <asp:TemplateColumn HeaderText="Short Description" meta:resourcekey="GridShortHeader">
                                <EditItemTemplate>
                                    <asp:TextBox ID="shortText" runat="server" 
                                        Text='<%# DataBinder.Eval(Container, "DataItem.ShortDescription") %>' Width="99%" MaxLength="15"></asp:TextBox>
                                </EditItemTemplate>
                                <ItemTemplate>
                                    <asp:Label ID="Label2" runat="server" 
                                        Text='<%# DataBinder.Eval(Container, "DataItem.ShortDescription") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle Width="25%" />
                                <HeaderStyle Width="25%" />
                            </asp:TemplateColumn>
                            <asp:TemplateColumn HeaderText="Description" meta:resourcekey="GridDescriptionHeader">
                                <EditItemTemplate>
                                    <asp:TextBox ID="descText" runat="server" 
                                        Text='<%# DataBinder.Eval(Container, "DataItem.Description") %>' Width="99%" TextMode="MultiLine" Rows="3"></asp:TextBox>
                                </EditItemTemplate>
                                <ItemTemplate>
                                    <asp:Label ID="Label3" runat="server" 
                                        Text='<%# DataBinder.Eval(Container, "DataItem.Description") %>'></asp:Label>
                                </ItemTemplate>
                                <ItemStyle Width="65%" VerticalAlign="Top" />
                                <HeaderStyle Width="65%" />
                            </asp:TemplateColumn>
                            <asp:EditCommandColumn CancelText="Cancel" EditText="<%$ resources:Edit %>" UpdateText="Update" CausesValidation="false">
                            </asp:EditCommandColumn>            
                            <asp:ButtonColumn CommandName="Delete" Text="<%$ resources:Delete %>"></asp:ButtonColumn>
                        </Columns>
                        <ItemStyle CssClass="tableservices" VerticalAlign="Top"/>        
                        <AlternatingItemStyle BackColor="#F3F4E4" VerticalAlign="Top"/>
                        
                    </asp:DataGrid>
                </td>
            </tr>
    </div>
</asp:Content>
